Commit 4ade8ccf authored by Natanael Copa's avatar Natanael Copa

release 1.5. added setup-alpine-web

parent 70faa4b1
V=1.4.1 V=1.5
P=alpine-conf P=alpine-conf
PV=$(P)-$(V) PV=$(P)-$(V)
APKF=$(PV).apk APKF=$(PV).apk
...@@ -11,6 +11,7 @@ SBIN_FILES=albootstrap\ ...@@ -11,6 +11,7 @@ SBIN_FILES=albootstrap\
lbu\ lbu\
setup-ads\ setup-ads\
setup-alpine\ setup-alpine\
setup-alpine-web\
setup-cryptswap\ setup-cryptswap\
setup-dns\ setup-dns\
setup-hostname\ setup-hostname\
......
#!/bin/sh
BRNUM=0
CNET="10.$BRNUM.0"
IFACE_LIST=/tmp/interfaces
get_interfaces() {
[ -f "$IFACE_LIST" ] || tail -n +3 /proc/net/dev \
| awk -F: '$1 !~ /lo/ { print $1 }' > "$IFACE_LIST"
cat "$IFACE_LIST"
}
make_dhcp_subnet() {
local num=$1
local iface=$2
local network="$CNET.$num"
local netmask=255.255.255.240
local router="$CNET.$(( $num + 1 ))"
local poolstart="$CNET.$(( $num + 2 ))"
local poolend="$CNET.$(( $num + 14 ))"
echo "subnet $network netmask $netmask {"
echo " range $poolstart $poolend;"
echo " option routers $router;"
echo "}"
echo ""
ip addr add $router/28 dev $iface || echo "Failed to set address $router/28 on $iface" >&2
ip link set dev $iface up
iptables -t nat -A PREROUTING -i $iface -j DNAT --to-destination $router
}
make_dhcp_global() {
echo "option domain-name \"bootstrap.invalid\";"
echo "option domain-name-servers $CNET.1;"
echo "ddns-update-style none;"
echo ""
}
# parse args
while getopts "b:" opts; do
case "$opts" in
b) BRNUM="$OPTARG";;
h) usage;;
esac
done
shift $(( $OPTIND - 1 ))
hostname alpine
# install needed packages
apk_add dhcp iptables tinydns acf-apk "$@"
# config dhcp server
make_dhcp_global > /etc/dhcp/dhcpd.conf
count=0
for i in $(get_interfaces); do
# maximum 16 network interfaces
[ $count -ge 16 ] && break
make_dhcp_subnet $(( $count * 16 )) $i >> /etc/dhcp/dhcpd.conf
count=$(( $count + 1 ))
done
/etc/init.d/syslog start
/etc/init.d/dhcpd start
FORCE_SETUP_WEBCONF=yes setup-webconf apk "$@"
# set up http listener/forwarder
mkdir -p /var/www/redirect
cat <<EOF >/var/www/redirect/index.html
<html>
<head>
<meta HTTP-EQUIV="REFRESH" content="0; url=https://$(hostname)">
</head>
<body>
</body>
</html>
EOF
httpd -h /var/www/redirect
# dummy dns
echo "* $CNET.1" > /etc/dnsd.conf
/etc/init.d/dnsd start
exit 0
...@@ -28,23 +28,24 @@ while [ $# -gt 0 ]; do ...@@ -28,23 +28,24 @@ while [ $# -gt 0 ]; do
shift shift
done done
# issue warning so user knows what he is doing if [ "$FORCE_SETUP_WEBCONF" != yes ]; then
echo "!!!" # issue warning so user knows what he is doing
echo "!!! WARNING !!! WARNING !!! WARNING !!!" echo "!!!"
echo "!!!" echo "!!! WARNING !!! WARNING !!! WARNING !!!"
echo "!!! The webinterface is in alpha stage and will give *anyone* on the" echo "!!!"
echo "!!! network access to your box. The web interface is only for testing" echo "!!! The webinterface is in alpha stage and will give *anyone* on the"
echo "!!! purposes and should only be used in isolated secure networks." echo "!!! network access to your box. The web interface is only for testing"
echo "!!!" echo "!!! purposes and should only be used in isolated secure networks."
echo "!!! Please send suggestions and patches to acf@lists.alpinelinux.org" echo "!!!"
echo "!!!" echo "!!! Please send suggestions and patches to acf@lists.alpinelinux.org"
echo "!!!"
echon "Are you sure you want continue? (y/n) [n] " echon "Are you sure you want continue? (y/n) [n] "
default_read imsure n default_read imsure n
if [ "$imsure" != y ]; then if [ "$imsure" != y ]; then
echo "Aborting." echo "Aborting."
exit exit
fi
fi fi
# install packages # install packages
...@@ -53,6 +54,7 @@ apk_add mini_httpd $pkgs || exit 1 ...@@ -53,6 +54,7 @@ apk_add mini_httpd $pkgs || exit 1
# setup mini_httpd and start it # setup mini_httpd and start it
mkdir -p /var/www/localhost/ mkdir -p /var/www/localhost/
ln -s /usr/share/acf/www/ /var/www/localhost/htdocs ln -s /usr/share/acf/www/ /var/www/localhost/htdocs
lbu add /var/www/localhost/htdocs
SSLDIR=/etc/ssl/mini_httpd SSLDIR=/etc/ssl/mini_httpd
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment